Subject: FW: [SIP] Re: SDP issues

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 24 Apr 2000 08:38:49 -0500

Another point affecting case sensitivity of the Local and Remote descriptors
when using SDP.

> -----Original Message-----
> From: Jonathan Rosenberg [SMTP:[email-masked]]
> Sent: Sunday, April 23, 2000 4:58 PM
> To:   Henning Schulzrinne
> Cc:   [email-masked]; [email-masked]
> Subject:      [SIP] Re: SDP issues
>
> There was another issue raised; SDP says very little overall about case
> sensitivity. The type (m=, s=, etc.) is case sensitive, and the values
> depend on the type. The only types which discuss case sensitivity are:
>
> 1. t and r, which indicate that the d,h,m,s (days, hour, minutes,
> seconds) characters are case sensitive.
> 2. a=charset:, which uses case insensitive matching for the character
> set.
>
> So, we also agreed that in the spirit of SDP, all other values are CASE
> SENSITIVE unless otherwise noted. This includes the encoding name
> Henning mentions below, which, along with the character set, represent
> the only two case insensitive matches in SDP (I believe).
>
> -Jonathan R.
>
> Henning Schulzrinne wrote:
> >
> > During the SIP bake-off, two SDP-related issues were raised:
> >
> > Currently, s= is defined as text, which is 1*(some set of bytes), i.e.,
> > at least one character. It doesn't seem necessary to enforce that s=
> > have anything in them (like a space). Other textual Internet protocols
> > seem to be fine with having empty unformatted fields (like Subject: in
> > email).
> >
> > Secondly, the rtpmap description does not specify whether the 'encoding
> > name' is case-sensitive or not. Since it's also used as a media type and
> > media types are case-insensitive (RFC 2616, 3.7), it probably makes
> > sense to make them CI in SDP as well.
> >
> > Comments are appreciated.
> >
> > Henning
>
> --
> Jonathan D. Rosenberg                       72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
>
>
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
>